<template>
  <div>
    <content-loader-list-group-item
      v-for="i in numItems"
      :key="i"
      :width="width"
    />
  </div>
</template>

<script lang="ts">
import Vue from 'vue';

import ContentLoaderListGroupItem from './ContentLoaderListGroupItem.vue';

export default Vue.extend({
  components: {
    ContentLoaderListGroupItem,
  },

  props: {
    numItems: {
      default: 10,
      type: Number,
      required: false,
    },
    width: {
      default: 800,
      type: Number,
      required: false,
    },
  },
});
</script>
